| Home | Libraries | People | FAQ | More

## Macro BOOST_CONTRACT_NO_CHECKS

BOOST_CONTRACT_NO_CHECKS — If defined, this library disables implementation checks (undefined by default).

## Synopsis

    // In header: <boost/contract/core/config.hpp>

    BOOST_CONTRACT_NO_CHECKS

## Description

If this macro is defined, this library internal code is also optimized to reduce compile-time (not just run-time) overhead associated with implementation checks. In addition, users can manually program `#ifndef` statements in their code using this macro to completely disable compilation of implementation checks or use `BOOST_CONTRACT_CHECK` (recommended).

See Also:

Implementation Checks, Disable Contract Checking, Disable Contract Compilation